COMMERCE HEIDELPAY
---------------

Commerce Heidelpay integrates Heidelpay with Drupal Commerce payment and 
checkout system. This module provides both an Onsite and an Offsite integration 
to Drupal Commerce. 

Please install the module using the composer workflow:
https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules

CONFIGURING PAYMENT METHOD
--------------------------

1. Get your public and private key from Heidelpay service.

For test credentials, please review the following resources:
- https://docs.heidelpay.com/docs/testdata
- https://dev.heidelpay.com/sandbox-environment/

2. Insert your API keys at the Commerce payment configuration page
   admin/commerce/config/payment-gateways
   Remember to test the functionality with the test keys before going live!


CREDITS
-------

Commerce Heidelpay integration has been written by:

- Pedro Cambra [(pcambra)](https://www.drupal.org/u/pcambra)
- Manuel Egío [(facine)](https://www.drupal.org/u/facine)

SPONSORS
--------
- [Doctors Without Borders Germany](https://www.aerzte-ohne-grenzen.de)


CONTACT
-------
Developed and maintained by [Cambrico](http://cambrico.net) and [Ymbra](https://ymbra.com).

Get in touch with us for customizations and consultancy:
http://cambrico.net/contact
