<?php

namespace Drupal\commerce_heidelpay\Plugin\Commerce\PaymentGateway;

use Drupal\commerce_payment\Plugin\Commerce\PaymentGateway\OnsitePaymentGatewayInterface;

/**
 * Provides the interface for the Heidelpay On Site payment gateway.
 */
interface HeidelpayOnSiteInterface extends OnsitePaymentGatewayInterface {

  /**
   * Get the Heidelpay public key set for the payment gateway.
   *
   * @return string
   *   The Heidelpay public key.
   */
  public function getPublicKey();

  // @TODO SupportsAuthorizationsInterface, SupportsRefundsInterface?
}
